xrdp-sesman(8)

NAME
xrdp-sesman - xrdp(8) session manager

SYNTAX
xrdp-sesman --kill
xrdp-sesman --reload
xrdp-sesman --help
xrdp-sesman --version
xrdp-sesman [--nodaemon] [--dump-config] [--config /path/to/sesman.ini]

DESCRIPTION
xrdp-sesman is xrdp(8) session manager.
It manages user sessions by authenticating the user and starting the appropriate Xserver.

OPTIONS

-k, --kill
    Kills running xrdp-sesman daemon.

-r, --reload
    Reloads running xrdp-sesman daemon.

-h, --help
    Output help information and exit.

-v, --version
    Output version information and exit.

-n, --nodaemon
    Starts xrdp-sesman in foreground instead of starting it as a daemon.

--dump-config
    Print the configuration on stdout before starting the daemon. The default is not to do this.

-c, --config
    Specify a path to a different sesman.ini file. This option is intended to be used primarily for testing or for unusual configurations.

    If you use this option, be aware that you will have to have a /etc/xrdp/sesman.ini in place too, as a few elements of the system (notably xrdp(8) and xrdp-chansrv(8)) will want to read it.

SIGNALS

SIGHUP
    Causes xrdp-sesman to reload its configuration. Needed if you're not running xrdp-sesman as a daemon.

FILES
/usr/sbin/xrdp-sesman
/usr/bin/xrdp-sesrun
/etc/sysconfsubdir@/sesman.ini
/var/log/xrdp-sesman.log
/var/run/xrdp-sesman.pid
/var/run/xrdp/sesman.socket

AUTHORS
Jay Sorg <jsorg71@users.sourceforge.net>
Simone Fedele <ilsimo@users.sourceforge.net>

SEE ALSO
sesman.ini(5), xrdp-sesrun(8), xrdp(8), xrdp.ini(5) for more info on xrdp see http://www.xrdp.org/